Bug 595989 - gthumb slideshow mode does not work
gthumb slideshow mode does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clutter (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
: 601532 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 00:45 EDT by Satish Balay
Modified: 2013-01-13 08:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 623168 None None None Never
FreeDesktop.org 30751 None None None Never

  None (edit)
Description Satish Balay 2010-05-26 00:45:00 EDT
Description of problem:

Slideshow in gthumb hangs

Version-Release number of selected component (if applicable):

gthumb-2.11.3-1.fc13.x86_64

How reproducible:

always

Steps to Reproduce:
1. Upgrade from F12 to F13 via preupgrade
2. run gthumb [for eg: cd pics; gthumb .]
3. click ' view as slideshow' icon
  
Actual results:

a blank fullscreen

Expected results:

a poper slideshow

Additional info:

I have to do 'alt-tab' to get out of this blank fullscreen. [Escape key does not work]. However  'switch to fullscreen' option works fine.
Comment 1 Michal Pěnka 2010-06-02 21:17:22 EDT
I can confirm this with clean F13 install. The blank screen can be removed with alt+f4 btw.

Looking forward to see the slideshow fully functional.
Comment 2 Joachim Backes 2010-06-08 03:01:31 EDT
*** Bug 601532 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Admin XMLRPC Client 2010-07-17 18:07:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Dennis Payne 2010-08-05 22:02:05 EDT
I'm also having this issue on a clean F13.
Comment 5 Roman Kagan 2010-08-06 05:14:46 EDT
Me too, both i386 and x86_64 with intel video:


gthumb-2.11.5-1.fc13.i686
clutter-1.2.10-1.fc13.i686
xorg-x11-server-Xorg-1.8.2-2.fc13.i686
xorg-x11-drv-intel-2.11.0-5.fc13.i686
kernel-PAE-2.6.33.6-147.2.4.fc13.i686.PAE


gthumb-2.11.5-1.fc13.x86_64
clutter-1.2.10-1.fc13.x86_64
xorg-x11-server-Xorg-1.8.2-2.fc13.x86_64
xorg-x11-drv-intel-2.11.0-5.fc13.x86_64
kernel-2.6.33.6-147.fc13.x86_64


The slideshow window becomes totally unresponsive; the main window is still working fine.
Comment 6 Roman Kagan 2010-08-06 05:18:11 EDT
Extra observation: if the transition effect is set to None in the slideshow pane of the preferences dialog, the slideshow starts working fine.
Comment 7 Satish Balay 2010-08-06 10:48:02 EDT
Yes changing the 'transition effect' setting appear to work for me.

This issue and workaround is also listed at
https://bugzilla.gnome.org/show_bug.cgi?id=623168

BTW: there is a new release of gthumb [but this issue is unchanged in this release]

http://mail.gnome.org/archives/gthumb-list/2010-August/msg00000.html
Comment 8 Joachim Backes 2010-08-27 02:25:01 EDT
(In reply to comment #0)
> Description of problem:
> 
> Slideshow in gthumb hangs
> 
> Version-Release number of selected component (if applicable):
> 
> gthumb-2.11.3-1.fc13.x86_64
> 
> How reproducible:
> 
> always
> 
> Steps to Reproduce:
> 1. Upgrade from F12 to F13 via preupgrade
> 2. run gthumb [for eg: cd pics; gthumb .]
> 3. click ' view as slideshow' icon
> 
> Actual results:
> 
> a blank fullscreen
> 
> Expected results:
> 
> a poper slideshow
> 
> Additional info:
> 
> I have to do 'alt-tab' to get out of this blank fullscreen. [Escape key does
> not work]. However  'switch to fullscreen' option works fine.

Having the same issue in F14 (gthumb-2.11.90-3.fc14.i686)
Comment 9 Roman Kagan 2010-10-06 15:33:29 EDT
The problem is gone with the latest clutter updates for F13:

clutter-1.2.14-1.fc13
clutter-gtk-0.10.6-1.fc13
gthumb-2.11.91-1.fc13

both i686 and x86_64, Intel graphics.
Comment 10 Kevin DeKorte 2010-11-08 15:00:58 EST
Problem still occurs on F14 with radeon r600 graphics. 

gthumb-2.12.0-1.fc14.x86_64
clutter-1.2.14-1.fc14.x86_64
clutter-gtk-0.10.8-1.fc14.1.x86_64

Believe it has something to do with 

https://bugs.freedesktop.org/show_bug.cgi?id=30751

If that is the case, F14 may need a clutter update to 1.4 or the fix may need to be backported to clutter 1.2
Comment 11 Christian Krause 2010-11-08 16:29:10 EST
Kevin, thanks for the hint!

Indeed
https://bugs.freedesktop.org/show_bug.cgi?id=30751
pointed to
http://bugzilla.clutter-project.org/show_bug.cgi?id=2228
which lead to the following patch:
http://git.clutter-project.org/clutter/commit/?id=609560b1cb44f4d209de810cc9b94d8d49ba2db5

It applies (with "-F 5") to clutter in F14 and fixes the problem with the slideshow in gthumb! ;-)

I'm not sure about any unwanted side-effects, but at least gnome-shell seems to work fine...

Unfortunately clutter's test suite dies with a segfault even with the current clutter release in F14.

@clutter maintainers: please can you review whether you can add the following patch to the clutter package in Fedora?

http://git.clutter-project.org/clutter/commit/?id=609560b1cb44f4d209de810cc9b94d8d49ba2db5

Thank you very much in advance!

Re-assigning to clutter component...

If I can do anything to help fixing this bug in clutter, please just let me know!
Comment 12 Fedora Admin XMLRPC Client 2010-11-09 02:45:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Kevin DeKorte 2010-11-15 17:40:12 EST
Clutter Team, any comments on this bug?
Comment 14 Kevin DeKorte 2011-03-22 13:21:53 EDT
On my ATI card, I found that this option helps

CLUTTER_VBLANK=none
export CLUTTER_VBLANK


I set this in my .bashrc file and then logout and login
Comment 15 Fabien Archambault 2011-03-30 08:54:05 EDT
The ATI fix does not work for an intel graphic card :
$ gthumb
**
GLib-GIO:ERROR:gdbusconnection.c:2270:initable_init: assertion failed: (connection->initialization_error == NULL)
Abandon (core dumped)
Comment 16 Kevin DeKorte 2011-03-30 17:08:02 EDT
Interesting the CLUTTER_VBLANK=none also helps on my recently install Intel video based laptop.

Do you have dbus disabled?
Comment 17 Bug Zapper 2011-06-02 09:28:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2011-06-27 12:40:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.